{ inputs, outputs, pkgs, ... }: {
  imports = [
    ./locale.nix
    ./nix.nix
    ./shells.nix
    ./zsh.nix
  ];

  documentation.dev.enable = true;
  documentation.man.enable = true;

  environment.systemPackages = [
    pkgs.acl
    pkgs.age
    pkgs.bash
    pkgs.bc
    pkgs.bind
    pkgs.binutils
    pkgs.bpftools
    #pkgs.bpftrace
    pkgs.bzip2
    pkgs.colordiff
    pkgs.conntrack-tools
    pkgs.coreutils
    pkgs.cpio
    pkgs.csvkit
    pkgs.curl
    pkgs.diceware
    pkgs.diffutils
    pkgs.dig
    pkgs.dmidecode
    #pkgs.elinks
    pkgs.ethtool
    pkgs.exfatprogs
    pkgs.file
    pkgs.findutils
    pkgs.fping
    pkgs.git
    pkgs.gnugrep
    pkgs.gnupatch
    pkgs.gnused
    pkgs.gnutar
    pkgs.gptfdisk
    pkgs.gzip
    pkgs.htop
    pkgs.hydra-check
    pkgs.iproute2
    pkgs.iputils
    pkgs.jq
    pkgs.less
    pkgs.lshw
    pkgs.lsof
    pkgs.lvm2
    pkgs.lynx
    pkgs.moreutils
    pkgs.nano
    pkgs.ncurses
    pkgs.netcat-openbsd
    pkgs.nettools
    pkgs.nix-index
    pkgs.nmap
    pkgs.ntfs3g
    pkgs.nvd
    pkgs.oath-toolkit
    pkgs.openldap
    pkgs.openssl
    pkgs.p7zip
    pkgs.parted
    pkgs.patchelf
    pkgs.pciutils
    pkgs.perl5Packages.ArchiveZip
    pkgs.procps
    pkgs.progress
    pkgs.psmisc
    pkgs.pv
    pkgs.pwgen
    pkgs.qemu_kvm
    pkgs.recode
    pkgs.rsync
    pkgs.sg3_utils
    pkgs.smartmontools
    pkgs.socat
    pkgs.sops
    pkgs.sqlite
    pkgs.ssh-to-age
    pkgs.ssh-to-pgp
    pkgs.stoken
    pkgs.strace
    pkgs.sysstat
    pkgs.tcpdump
    pkgs.tftp-hpa
    pkgs.traceroute
    pkgs.tree
    pkgs.tshark
    pkgs.unixtools.xxd
    pkgs.unrar
    pkgs.unzip
    pkgs.usbutils
    pkgs.util-linux
    pkgs.vim
    pkgs.w3m
    pkgs.wdiff
    pkgs.wget
    pkgs.whois
    pkgs.wireguard-tools
    pkgs.xkcdpass
    pkgs.xz
    pkgs.zip
    pkgs.zstd
  ];

  hardware.enableRedistributableFirmware = true;

  programs.atop.enable = true;
  programs.gnupg.agent.enable = true;
  programs.iftop.enable = true;
  programs.mtr.enable = true;
  programs.tmux.enable = true;
  programs.zsh.enable = true;

  #services.dbus.implementation = "broker";
}
